Skip to main content
GET
/
users
/
{user_id}
/
properties
List properties for a user
curl --request GET \
  --url https://api.qonversion.io/v4/users/{user_id}/properties \
  --header 'Authorization: Bearer <token>'
{ "object": "list", "url": "/v4/users/QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e/properties", "data": [ { "object": "user_property", "key": "_q_email", "value": "test@email.com" }, { "object": "user_property", "key": "client_source", "value": "google_ads" }, { "object": "user_property", "key": "color", "value": "blue" } ], "has_more": false }

Authorizations

Authorization
string
header
required

Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.

Path Parameters

user_id
string
required

Qonversion User ID. SDK-generated IDs are prefixed with QON_.

Maximum string length: 256

Response

A list of user properties.

object
enum<string>
required
Available options:
list
url
string
required
Example:

"/v4/users/QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e/properties"

data
object[]
required
has_more
boolean
required
next_cursor
string | null